## org.apache.batik.svggen.font.table
Class Program

    java.lang.Object
      org.apache.batik.svggen.font.table.Program

Direct Known Subclasses:
  FpgmTable, GlyfDescript, PrepTable

public abstract class Program
extends java.lang.Object

Constructor Summary
`Program()`

Method Summary
`short[]` `getInstructions()`
`protected void` `readInstructions(java.io.ByteArrayInputStream bais, int count)`
`protected void` `readInstructions(java.io.RandomAccessFile raf, int count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Program

    public Program()

Method Detail

### getInstructions

    public short[] getInstructions()

### readInstructions

    protected void readInstructions(java.io.RandomAccessFile raf,
                                    int count)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInstructions

    protected void readInstructions(java.io.ByteArrayInputStream bais,
                                    int count)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.